#!/bin/sh

ctime=`date +%Y%m%d%H%M`
ctime2=`date +%Y%m%d`
echo $ctime > /usr/logd/www/cretime.txt

ver=`uname -r | cut -d'.' -f1`

if [ "$1" = "" ]; then
	echo "./tar_update.sh ningx|panabit"
	exit
fi

rm /usr/logdata/file_cluster/tmp/* >/dev/null 2>&1

cp /usr/logd/www/cluster_filelist.php /usr/logdata/file_cluster/
cp /usr/logd/www/delefile.php /usr/logdata/file_cluster/
cp /usr/logd/www/listfile.php /usr/logdata/file_cluster/

if [ "$1" != "panabit" ]; then
	tar zcf logupdate${ctime2}_fb${ver}x_amd64.tar.gz -T filelist_update \
		--exclude=/usr/logd/www/jpgraph/fonts/simsun.ttc \
		--exclude=/usr/logd/www/img/logo.jpg \
		--exclude=/usr/logd/www/img/logo.gif \
		--exclude=/usr/logd/www/img/logo.png \
		--exclude=/usr/logd/www/paupbags \
		--exclude=/usr/logd/www/download \
		--exclude=/usr/logd/www/jpgraph \
		--exclude=/usr/logd/www/icons \
		--exclude=/usr/logd/www/libchart \
		--exclude=/usr/logd/www/fpdf \
		--exclude=/usr/logd/www/cloud_pic
else
	# cp /usr/logd/bin/log.conf_pa /usr/logd/bin/log.conf

	tar zcf Palogupdate${ctime2}_fb${ver}x_amd64.tar.gz -T filelist_update \
		--exclude=/usr/logd/www/jpgraph/fonts/simsun.ttc \
		--exclude=/usr/logd/www/paupbags \
		--exclude=/usr/logd/www/download \
		--exclude=/usr/logd/www/jpgraph \
		--exclude=/usr/logd/www/icons \
		--exclude=/usr/logd/www/libchart \
		--exclude=/usr/logd/www/fpdf \
		--exclude=/usr/logd/www/cloud_pic
fi

